
Redmine - Defect #3561

rXXXX in commit comments don't always get turned in to links

2009-06-30 14:58 - Anonymous

Status: Closed Start date: 2009-06-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 0.8.5   

Resolution: Fixed Affected version: 0.8.4

Description

See the attached image, 2 revisions are mentioned, r34525 and r34527, but only r34527 is hyper-linked.  The commit comment was

entered as:

Merge r34525,r34527

 Using:

Redmine-0.8.4

Subversion-1.6.3

Apache-2.2.9

Rails-2.1.2

Associated revisions

Revision 2804 - 2009-07-04 14:48 - Jean-Philippe Lang

Do not require a non-word character after a comma in Redmine links (#3561).

History

#1 - 2009-06-30 23:16 - Mischa The Evil

Russell Hind wrote:

Merge r34525,r34527

 

Just a hint: have you tried it using a space between the comma and the new revision-id like: 

Merge r34525, r34527

 HTH,

Mischa.

#2 - 2009-07-01 09:01 - Anonymous

Thanks Mischa, I will try that next time but getting everyone to remember that here won't be the easiest.  Ticket numbers work with just a comma

between them so hopefully this can be fixed for revision numbers too.

#3 - 2009-07-04 14:48 - Jean-Philippe Lang

- Category set to Text formatting

- Status changed from New to Resolved

- Target version set to 0.8.5

- Resolution set to Fixed

Fixed in r2804.

#4 - 2009-09-13 13:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/2804


Merged in 0.8-stable in r2881.

Files

CommitCommentIssue.PNG 5.39 KB 2009-06-30 Anonymous

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/2881
http://www.tcpdf.org

